IF OBJECT_ID('dbo.sp_fco_upd_int_det_afp') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_upd_int_det_afp
GO
CREATE PROCEDURE dbo.sp_fco_upd_int_det_afp
(
    @pch_compania  char(4),
    @psi_anio  smallint,
    @pti_mes  tinyint,
    @pvc_sucursal  varchar(10),
    @pch_tipo_planilla char(1),
    @pch_trabajador  char(10),
    @pch_secuencia  char(5),
    @pch_tipo_documento  char(2),
    @pvc_nro_id  varchar(16),
    @pti_tipo_cotizante  tinyint,
    @pvc_primer_apellido  varchar(20),
    @pvc_segundo_apellido  varchar(30),
    @pvc_primer_nombre  varchar(20),
    @pvc_segundo_nombre  varchar(30),
    @pch_nov_ING  char(1),
    @pch_nov_RET  char(1),
    @pch_nov_TDE  char(1),
    @pch_nov_TAE  char(1),
    @pch_nov_TDP  char(1),
    @pch_nov_TAP  char(1),
    @pch_nov_VSP  char(1),
    @pch_nov_VTE  char(1),
    @pch_nov_VST  char(1),
    @pch_nov_SLN  char(1),
    @pch_nov_IGE  char(1),
    @pch_nov_LMA  char(1),
    @pch_nov_VAC  char(1),
    @pch_nov_AVP  char(1),
    @pch_nov_VCT  char(1),
    @pch_nov_IRP  char(2),
    @pdc_salario  decimal(9, 0),
    @pch_cod_afp  char(10),
    @pch_cod_afp_Tras  char(10),
    @pti_dias_afp  tinyint,
    @pdc_IBC_afp  decimal(9, 0),
    @pdc_tarifa_afp  decimal(6, 5),
    @pdc_aporte_afp  decimal(9, 0),
    @pdc_voluntario_AFP decimal(9, 0),
    @pdc_voluntario_AFP_cia decimal(9, 0),
    @pdc_aporte_FSP_solidaridad decimal(9, 0), 
    @pdc_aporte_FSP_subsistencia decimal(9, 0), 
    @pdc_valor_no_retenido decimal(9, 0)
)
AS
BEGIN
    UPDATE fco_integrada_det
    SET 
        tipo_documento = ISNULL(@pch_tipo_documento, ''),
        nro_id = ISNULL(@pvc_nro_id, ''),
        tipo_cotizante = ISNULL(@pti_tipo_cotizante, 1),
        primer_apellido = ISNULL(@pvc_primer_apellido, ''),
        segundo_apellido = ISNULL(@pvc_segundo_apellido, ''),
        primer_nombre = ISNULL(@pvc_primer_nombre, ''),
        segundo_nombre = ISNULL(@pvc_segundo_nombre, ''),
        nov_ING = ISNULL(@pch_nov_ING, ''),
        nov_RET = ISNULL(@pch_nov_RET, ''),
        nov_TDE = ISNULL(@pch_nov_TDE, ''),
        nov_TAE = ISNULL(@pch_nov_TAE, ''),
        nov_TDP = ISNULL(@pch_nov_TDP, ''),
        nov_TAP = ISNULL(@pch_nov_TAP, ''),
        nov_VSP = ISNULL(@pch_nov_VSP, ''),
        nov_VTE = ISNULL(@pch_nov_VTE, ''),
        nov_VST = ISNULL(@pch_nov_VST, ''),
        nov_SLN = ISNULL(@pch_nov_SLN, ''),
        nov_IGE = ISNULL(@pch_nov_IGE, ''),
        nov_LMA = ISNULL(@pch_nov_LMA, ''),
        nov_VAC = ISNULL(@pch_nov_VAC, ''),
        nov_AVP =  ISNULL(@pch_nov_AVP, ''),
        nov_VCT = ISNULL(@pch_nov_VCT, ''),
        nov_IRP = ISNULL(@pch_nov_IRP, '00'),
        cod_afp = ISNULL(@pch_cod_afp, ''),
        cod_afp_Tras = ISNULL(@pch_cod_afp_Tras, ''),
        dias_afp = ISNULL(@pti_dias_afp, 0),
        salario = ISNULL(@pdc_salario, 0),
        IBC_afp = ISNULL(@pdc_IBC_afp, 0),
        tarifa_afp = ISNULL(@pdc_tarifa_afp, 0),
        aporte_afp = ISNULL(@pdc_aporte_afp, 0),
        voluntario_AFP = ISNULL(@pdc_voluntario_AFP, 0),
        voluntario_AFP_cia = ISNULL(@pdc_voluntario_AFP_cia, 0),
        aporte_FSP = ISNULL(@pdc_aporte_FSP_solidaridad, 0),
        aporte_FSP_subsistencia = ISNULL(@pdc_aporte_FSP_subsistencia, 0), 
        valor_no_retenido = ISNULL(@pdc_valor_no_retenido, 0)
    WHERE compania = @pch_compania
      AND anio = @psi_anio
      AND mes = @pti_mes
      AND sucursal = ISNULL(@pvc_sucursal, '')
      AND tipo_planilla = @pch_tipo_planilla
      AND trabajador = @pch_trabajador

END
GO
GRANT EXECUTE ON sp_fco_upd_int_det_afp TO PUBLIC
GO

